#ifndef aix
#define _LARGEFILE64_SOURCE
#define _GNU_SOURCE

#include "sysincludes.h"

ALIASF1(access, _access, int);
ALIASF1(chmod, _chmod, mode_t);

ALIASF1(stat, _stat, struct stat*);
ALIASF1(lstat, _lstat, struct stat*);

#ifdef SYS_UTIME
ALIASF1(utime, _utime, struct utimbuf *);
#endif

#ifdef SYS_UTIMES
int utimes();
ALIASF1(utimes, _utimes, struct timeval *);
#endif

ALIAS2F(link, _link);
ALIAS2F(symlink, _symlink);
ALIAS2F(rename, _rename);

ALIASF2(chown, _chown, uid_t, gid_t);
ALIAS3(getdents, _getdents, int, unsigned int, struct dirent *, unsigned int);
ALIAS3(getdents, __getdents, int, unsigned int, struct dirent *, unsigned int);

#ifdef SYS_getdents64
int getdents64(int fd, struct dirent64 *dirp, unsigned int count);
ALIAS3(getdents64, _getdents64, int, unsigned int, struct dirent64 *, unsigned int);
ALIAS3(getdents64, __getdents64, int, unsigned int, struct dirent64 *, unsigned int);
#endif

ALIASF2(open, _open, int, mode_t);
ALIASF2(open64, _open64, int, mode_t);
ALIASF2(open, __open, int, mode_t);
ALIASF2(open64, __open64, int, mode_t);
ALIASF0(unlink, _unlink);
ALIAS1(readdir, _readdir, struct dirent *, DIR *);
ALIASF2(readlink, _readlink, char *, size_t);
ALIASF2(readlink, __readlink, char *, size_t);

#endif
